# KSPGetSolution

Gets the location of the solution for the linear system to be solved. Note that this may not be where the solution is stored during the iterative process; see KSPBuildSolution().

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGetSolution(KSP ksp,Vec *v)

Not Collective

### Input Parameters

ksp -iterative context obtained from KSPCreate()

### Output Parameters

v -solution vector

### Keywords

KSP, get, solution

### See Also

KSPGetRhs(), KSPBuildSolution(), KSPSolve()

Level:developer
Location: src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages